# Audio Upscaler (AudioSR)

[![arXiv](https://img.shields.io/badge/arXiv-2309.07314-brightgreen.svg?style=flat-square)](https://arxiv.org/abs/2309.07314)  [![githubio](https://img.shields.io/badge/GitHub.io-Audio_Samples-blue?logo=Github&style=flat-square)](https://audioldm.github.io/audiosr)

## Overview

AudioSR is a powerful tool designed to enhance the fidelity of your audio files, regardless of their type (e.g., music, speech, ambient sounds) or sampling rates. It leverages cutting-edge super-resolution techniques to upscale audio signals, resulting in superior quality output.

## Key Features

- **Versatility**: Works seamlessly with all types of audio content, including music, speech, environmental sounds, and more.
- **Scale**: Handles audio files of various sampling rates, ensuring compatibility with a wide range of sources.
- **High Fidelity**: Produces high-quality output with enhanced clarity and detail.
- **Ease of Use**: Simple and intuitive interface makes it easy to enhance your audio files with just a few clicks.

## Acknowledgments
Based on the work of https://github.com/haoheliu/versatile_audio_super_resolution/

```bibtex
@article{liu2023audiosr,
  title={{AudioSR}: Versatile Audio Super-resolution at Scale},
  author={Liu, Haohe and Chen, Ke and Tian, Qiao and Wang, Wenwu and Plumbley, Mark D},
  journal={arXiv preprint arXiv:2309.07314},
  year={2023}
}
```
